/* Define to prevent recursive  ----------------------------------------------*/
#ifndef UPTIME_H
#define UPTIME_H

#include "at32f403a_407.h"


typedef struct 
{   
    uint32_t id;
    uint32_t cnt;
    uint32_t max_cnt;
    
} task_list_t;



//
void uptime_init(void);
  
void get_uptime(uint32_t *value);

uint8_t wdt_add_task(uint32_t max);

void wdt_reset_cnt(uint8_t id);

void wdt_task_process(void);

#endif /* #ifndef UPTIME */